Bug 125846 - Closing an ODT with lots of formula's takes annoyingly long (+/- 14 seconds)
Summary: Closing an ODT with lots of formula's takes annoyingly long (+/- 14 seconds)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.7.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: perf
Depends on:
Blocks: Formula
  Show dependency treegraph
 
Reported: 2019-06-11 07:44 UTC by Telesto
Modified: 2022-08-18 03:41 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file (22.50 MB, application/vnd.oasis.opendocument.text)
2019-06-11 07:45 UTC, Telesto
Details
Flamegraph (115.03 KB, application/x-bzip)
2019-10-27 14:52 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2019-06-11 07:44:11 UTC
Description:
Closing an ODT with lots of formula's takes annoyingly long (+/- 14 seconds)

Steps to Reproduce:
1. Open the attached file
2. Press CTRL+W

Actual Results:
10-15 seconds waiting time

Expected Results:
Instant nearly instant


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.4.0.0.alpha0+ (x86)
Build ID: ac14e5613597e7361ce6995dacb1bb5bd55b6b00
CPU threads: 4; OS: Windows 6.3; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2019-06-06_05:09:49
Locale: nl-NL (nl_NL); UI-Language: en-US
Calc: threaded
Comment 1 Telesto 2019-06-11 07:45:33 UTC
Created attachment 152091 [details]
Example file
Comment 2 Xisco Faulí 2019-06-11 08:39:03 UTC
it takes 15 seconds in

Version: 6.4.0.0.alpha0+
Build ID: ec905d131374f0860bac77c52873eed984b1966f
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Telesto, did you try with version 4.0.0.3 ?
Comment 3 Telesto 2019-06-11 09:39:26 UTC
(In reply to Xisco Faulí from comment #2)
> it takes 15 seconds in
> 
> Version: 6.4.0.0.alpha0+
> Build ID: ec905d131374f0860bac77c52873eed984b1966f
> CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
> Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
> Calc: threaded
> 
> @Telesto, did you try with version 4.0.0.3 ?

Yes, 4.4.7.2 & 4.0.0.3 & 3.5.7.2 -> Always the same
Comment 4 Julien Nabet 2019-10-27 14:52:09 UTC
Created attachment 155342 [details]
Flamegraph

On pc Debian x86-64 with master sources updated today, I could reproduce this.
Comment 5 QA Administrators 2022-08-18 03:41:01 UTC
Dear Telesto,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug